#/bin/bash
#
# Patch generator from OwnCloud X.Y.Z -> OwnCloud X.Y.Z + owncloud-addons
# Developer tool, not for end users. Part of owncloud-addons package.
# Use folder structure below:
# /root/tmp/owncloud-X.Y.Z-original
#          /owncloud-X.Y.Z-patched
#          /owncloud-createpatch.sh (maybe symlinked)
# Call: export OC_VERSION="X.Y.Z"; ./owncloud-createpatch.sh as root.

if [ -z "$OC_VERSION" ]; then echo "Set OC_VERSION variable, please!"; exit 1; fi
if [ ! -d "owncloud-$OC_VERSION-original" ]; then echo "Missing folder: owncloud-$OC_VERSION-original"; exit 1; fi
if [ ! -d "owncloud-$OC_VERSION-patched"  ]; then echo "Missing folder: owncloud-$OC_VERSION-patched";  exit 1; fi

cd owncloud-$OC_VERSION-original
diff -Naur -Bw -x *.gif -x *.jpg -x *.png . ../owncloud-$OC_VERSION-patched \
     | grep -iv ^diff >../owncloud_$OC_VERSION-owncloud-addons_$(date +%Y%m%d).patch
cd ..
